# KSPChebychevSetEigenvalues

Sets estimates for the extreme eigenvalues of the preconditioned problem.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT KSPChebychevSetEigenvalues(KSP ksp,PetscReal emax,PetscReal emin)

Collective on KSP

### Input Parameters

| ksp | - the Krylov space context
| emax, emin | - the eigenvalue estimates

### Options Database

-ksp_chebychev_eigenvalues emin,emax -

### Keywords

KSP, Chebyshev, set, eigenvalues

Level:intermediate
Location: src/ksp/ksp/impls/cheby/cheby.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages